Show / Hide Table of Contents

# Enum ActionType

Representing a type of action within an IAuditLogEntry.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ActionType

### Fields

Name | Description
--- | ---
Ban | A user banned another user from this guild.
ChannelCreated | A channel was created.
ChannelDeleted | A channel was deleted.
ChannelUpdated | A channel was updated.
EmojiCreated | An emoji was created in this guild.
EmojiDeleted | An emoji was deleted from this guild.
EmojiUpdated | An emoji was updated in this guild.
GuildUpdated | this guild was updated.
InviteCreated | An invite was created in this guild.
InviteDeleted | An invite was deleted from this guild.
InviteUpdated | An invite was updated in this guild.
Kick | A user was kicked from this guild.
MemberRoleUpdated | A guild member's role collection was updated.
MemberUpdated | A guild member whose information was updated.
MessageDeleted | A message was deleted from this guild.
OverwriteCreated | A permission overwrite was created for a channel.
OverwriteDeleted | A permission overwrite was deleted for a channel.
OverwriteUpdated | A permission overwrite was updated for a channel.
Prune | A prune took place in this guild.
RoleCreated | A role was created in this guild.
RoleDeleted | A role was deleted from this guild.
RoleUpdated | A role was updated in this guild.
Unban | A user unbanned another user from this guild.
WebhookCreated | A Webhook was created in this guild.
WebhookDeleted | A Webhook was deleted from this guild.
WebhookUpdated | A Webhook was updated in this guild.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()